Package org.apache.tools.ant.taskdefs

## Class Local.Name

- java.lang.Object
- - org.apache.tools.ant.taskdefs.Local.Name

- All Implemented Interfaces:
    `java.util.function.Consumer<LocalProperties>`
  Enclosing class:
    Local

      public static class Local.Name
      extends java.lang.Object
      implements java.util.function.Consumer<LocalProperties>

  Nested `name` element.
  Since:
    Ant 1.10.13

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Name()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(LocalProperties localProperties)`
    `void` | `addText​(java.lang.String text)` | Set the property name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

- - ### Constructor Detail

    - #### Name

          public Name()

  - ### Method Detail

    - #### addText

          public void addText​(java.lang.String text)

      Set the property name.
      Parameters:
        `text` -

    - #### accept

          public void accept​(LocalProperties localProperties)

      Specified by:
        `accept` in interface `java.util.function.Consumer<LocalProperties>`